<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: ScoreManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classScoreManager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ScoreManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Mayer singlton class of <a class="el" href="classScoreManager.html" title="Mayer singlton class of ScoreManager which saves and loads scores.">ScoreManager</a> which saves and loads scores.  
 <a href="classScoreManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="ScoreManager_8h_source.html">ScoreManager.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad78ee0824f09af4eaec894eaec45e160"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScoreManager.html#ad78ee0824f09af4eaec894eaec45e160">PrintScore</a> ()</td></tr>
<tr class="memdesc:ad78ee0824f09af4eaec894eaec45e160"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints top scores.  <a href="classScoreManager.html#ad78ee0824f09af4eaec894eaec45e160">More...</a><br /></td></tr>
<tr class="separator:ad78ee0824f09af4eaec894eaec45e160"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53030789b25effbbcd1a8c7315df72ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScoreManager.html#a53030789b25effbbcd1a8c7315df72ce">SaveScore</a> (std::string name, const int &amp;score)</td></tr>
<tr class="memdesc:a53030789b25effbbcd1a8c7315df72ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves score to a file.  <a href="classScoreManager.html#a53030789b25effbbcd1a8c7315df72ce">More...</a><br /></td></tr>
<tr class="separator:a53030789b25effbbcd1a8c7315df72ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ae81cc422c792c7f5649d45652e896fdf"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classScoreManager.html">ScoreManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScoreManager.html#ae81cc422c792c7f5649d45652e896fdf">GetInstance</a> ()</td></tr>
<tr class="memdesc:ae81cc422c792c7f5649d45652e896fdf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Instance object.  <a href="classScoreManager.html#ae81cc422c792c7f5649d45652e896fdf">More...</a><br /></td></tr>
<tr class="separator:ae81cc422c792c7f5649d45652e896fdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4f3866ff832127664543349da5c4fbf4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScoreManager.html#a4f3866ff832127664543349da5c4fbf4">ScoreManager</a> ()</td></tr>
<tr class="memdesc:a4f3866ff832127664543349da5c4fbf4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Private constructor to achiave singleton pattern.  <a href="classScoreManager.html#a4f3866ff832127664543349da5c4fbf4">More...</a><br /></td></tr>
<tr class="separator:a4f3866ff832127664543349da5c4fbf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3bf2fbbd0bb1edab3b9057262ed2959"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScoreManager.html#ab3bf2fbbd0bb1edab3b9057262ed2959">Parseline</a> (const std::string &amp;line)</td></tr>
<tr class="memdesc:ab3bf2fbbd0bb1edab3b9057262ed2959"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses line and returns parsed number.  <a href="classScoreManager.html#ab3bf2fbbd0bb1edab3b9057262ed2959">More...</a><br /></td></tr>
<tr class="separator:ab3bf2fbbd0bb1edab3b9057262ed2959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ec305ee4fdfa013598fae9eef3b78fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScoreManager.html#a0ec305ee4fdfa013598fae9eef3b78fe">LoadScoreFile</a> ()</td></tr>
<tr class="memdesc:a0ec305ee4fdfa013598fae9eef3b78fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads score from file into buffer.  <a href="classScoreManager.html#a0ec305ee4fdfa013598fae9eef3b78fe">More...</a><br /></td></tr>
<tr class="separator:a0ec305ee4fdfa013598fae9eef3b78fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a53f90e5ea7768842be865f7e56103eb9"><td class="memItemLeft" align="right" valign="top">std::list&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScoreManager.html#a53f90e5ea7768842be865f7e56103eb9">m_Names</a></td></tr>
<tr class="separator:a53f90e5ea7768842be865f7e56103eb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e836f39a58660d73e0ddc28fa616195"><td class="memItemLeft" align="right" valign="top">std::list&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScoreManager.html#a2e836f39a58660d73e0ddc28fa616195">m_Scores</a></td></tr>
<tr class="separator:a2e836f39a58660d73e0ddc28fa616195"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Mayer singlton class of <a class="el" href="classScoreManager.html" title="Mayer singlton class of ScoreManager which saves and loads scores.">ScoreManager</a> which saves and loads scores. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4f3866ff832127664543349da5c4fbf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f3866ff832127664543349da5c4fbf4">&#9670;&nbsp;</a></span>ScoreManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ScoreManager::ScoreManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Private constructor to achiave singleton pattern. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae81cc422c792c7f5649d45652e896fdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae81cc422c792c7f5649d45652e896fdf">&#9670;&nbsp;</a></span>GetInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classScoreManager.html">ScoreManager</a> &amp; ScoreManager::GetInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the Instance object. </p>

</div>
</div>
<a id="a0ec305ee4fdfa013598fae9eef3b78fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ec305ee4fdfa013598fae9eef3b78fe">&#9670;&nbsp;</a></span>LoadScoreFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ScoreManager::LoadScoreFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Loads score from file into buffer. </p>

</div>
</div>
<a id="ab3bf2fbbd0bb1edab3b9057262ed2959"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3bf2fbbd0bb1edab3b9057262ed2959">&#9670;&nbsp;</a></span>Parseline()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ScoreManager::Parseline </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>line</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses line and returns parsed number. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">line</td><td>input line to parse </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>int parsed int </dd></dl>

</div>
</div>
<a id="ad78ee0824f09af4eaec894eaec45e160"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad78ee0824f09af4eaec894eaec45e160">&#9670;&nbsp;</a></span>PrintScore()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScoreManager::PrintScore </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prints top scores. </p>

</div>
</div>
<a id="a53030789b25effbbcd1a8c7315df72ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53030789b25effbbcd1a8c7315df72ce">&#9670;&nbsp;</a></span>SaveScore()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScoreManager::SaveScore </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int &amp;&#160;</td>
          <td class="paramname"><em>score</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Saves score to a file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>string name of player </td></tr>
    <tr><td class="paramname">score</td><td>int score </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a53f90e5ea7768842be865f7e56103eb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53f90e5ea7768842be865f7e56103eb9">&#9670;&nbsp;</a></span>m_Names</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::list&lt;std::string&gt; ScoreManager::m_Names</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Name buffer </p>

</div>
</div>
<a id="a2e836f39a58660d73e0ddc28fa616195"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e836f39a58660d73e0ddc28fa616195">&#9670;&nbsp;</a></span>m_Scores</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::list&lt;int&gt; ScoreManager::m_Scores</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Score buffer </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="ScoreManager_8h_source.html">ScoreManager.h</a></li>
<li>src/<a class="el" href="ScoreManager_8cpp.html">ScoreManager.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
